Package org.apache.storm.flux.model

## Class ObjectDef

- java.lang.Object
- - org.apache.storm.flux.model.ObjectDef

- Direct Known Subclasses:
    `BeanDef`, `TopologySourceDef`

      public class ObjectDef
      extends Object

  A representation of a Java object that given a className, constructor arguments, and properties, can be instantiated.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ObjectDef()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getClassName()` |
    `List<ConfigMethodDef>` | `getConfigMethods()` |
    `List<Object>` | `getConstructorArgs()` |
    `String` | `getFactory()` |
    `List<Object>` | `getFactoryArgs()` |
    `List<PropertyDef>` | `getProperties()` |
    `boolean` | `hasConstructorArgs()` |
    `boolean` | `hasFactory()` |
    `boolean` | `hasFactoryArgs()` |
    `boolean` | `hasReferences()` |
    `void` | `setClassName​(String className)` |
    `void` | `setConfigMethods​(List<ConfigMethodDef> configMethods)` |
    `void` | `setConstructorArgs​(List<Object> constructorArgs)` | Sets the arguments for the constructor and checks for references.
    `void` | `setFactory​(String factory)` |
    `void` | `setFactoryArgs​(List<Object> factoryArgs)` | Sets factory method arguments and checks for references.
    `void` | `setProperties​(List<PropertyDef> properties)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectDef

          public ObjectDef()

  - ### Method Detail

    - #### getClassName

          public String getClassName()

    - #### setClassName

          public void setClassName​(String className)

    - #### getConstructorArgs

          public List<Object> getConstructorArgs()

    - #### setConstructorArgs

          public void setConstructorArgs​(List<Object> constructorArgs)

      Sets the arguments for the constructor and checks for references.
      Parameters:
        `constructorArgs` - Constructor arguments

    - #### hasConstructorArgs

          public boolean hasConstructorArgs()

    - #### hasReferences

          public boolean hasReferences()

    - #### getProperties

          public List<PropertyDef> getProperties()

    - #### setProperties

          public void setProperties​(List<PropertyDef> properties)

    - #### getConfigMethods

          public List<ConfigMethodDef> getConfigMethods()

    - #### setConfigMethods

          public void setConfigMethods​(List<ConfigMethodDef> configMethods)

    - #### hasFactory

          public boolean hasFactory()

    - #### hasFactoryArgs

          public boolean hasFactoryArgs()

    - #### getFactory

          public String getFactory()

    - #### setFactory

          public void setFactory​(String factory)

    - #### getFactoryArgs

          public List<Object> getFactoryArgs()

    - #### setFactoryArgs

          public void setFactoryArgs​(List<Object> factoryArgs)

      Sets factory method arguments and checks for references.
      Parameters:
        `factoryArgs` - factory method arguments